Bug 186310 - [WSL] WSL should have a spec
Summary: [WSL] WSL should have a spec
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGPU (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robin Morisset
URL:
Keywords: InRadar
Depends on:
Blocks: 176199
  Show dependency treegraph
 
Reported: 2018-06-05 10:21 PDT by Robin Morisset
Modified: 2018-10-13 15:52 PDT (History)
3 users (show)

See Also:


Attachments
Patch for landing (11.12 KB, patch)
2018-06-05 10:27 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff
Patch for landing (13.01 KB, patch)
2018-06-05 11:30 PDT, Robin Morisset
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-02 for mac-sierra (1.23 MB, application/zip)
2018-06-05 12:16 PDT, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Morisset 2018-06-05 10:21:45 PDT
I will try to track here the progress of the spec writing, and refer to this bug in my commits.
Comment 1 Robin Morisset 2018-06-05 10:27:05 PDT
Created attachment 341975 [details]
Patch for landing
Comment 2 WebKit Commit Bot 2018-06-05 11:06:58 PDT
Comment on attachment 341975 [details]
Patch for landing

Clearing flags on attachment: 341975

Committed r232514: <https://trac.webkit.org/changeset/232514>
Comment 3 WebKit Commit Bot 2018-06-05 11:06:59 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2018-06-05 11:09:38 PDT
<rdar://problem/40814856>
Comment 5 Robin Morisset 2018-06-05 11:17:44 PDT
This bug was closed by error, there is clearly a lot of work left to do.
Comment 6 Robin Morisset 2018-06-05 11:30:30 PDT
Created attachment 341980 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2018-06-05 12:15:58 PDT
Comment on attachment 341980 [details]
Patch for landing

Rejecting attachment 341980 [details] from commit-queue.

Number of test failures exceeded the failure limit.
Full output: http://webkit-queues.webkit.org/results/8013338
Comment 8 WebKit Commit Bot 2018-06-05 12:16:00 PDT
Created attachment 341983 [details]
Archive of layout-test-results from webkit-cq-02 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the commit-queue.
Bot: webkit-cq-02  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 9 Myles C. Maxfield 2018-08-29 17:16:18 PDT
The spec has been moved to the W3C
Comment 10 Myles C. Maxfield 2018-10-13 15:52:46 PDT
Migrated to https://github.com/gpuweb/WHLSL/issues/117